Show / Hide Table of Contents

# Enum AgentId

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public enum AgentId : uint

### Fields

Name | Description
--- | ---
Achievement |
ActionDetail |
ActionMenu |
AdventureNotebook |
AetherCurrent |
AOZNotebook |
ArmouryBoard |
BeginnersMansionProblem |
Blacklist |
Buddy |
Cabinet |
CharaMake |
ChatLog |
CircleList |
Colorant |
Config |
ConfigCharacter |
Configkey |
ContentsFinder |
ContentsNote |
ContentsReplaySetting |
ContentsTimer |
Context |
CountDownSettingDialog |
Currency |
Cursor |
CutsceneReplay |
Dawn |
Detail |
Emote |
FateReward |
FieldMarker |
FishGuide |
FishingNote |
FishRecord |
FreeCompany |
FreeCompanyInputString |
FreeCompanyProfile |
FriendList |
GatheringNote |
GatherNote |
GoldSaucer |
Housing |
HousingSignboard |
HowtoList |
Hud |
HudLayout |
Inspect |
Inventory |
InventoryBuddy |
InventoryContext |
ItemCompare |
ItemDetail |
ItemSearch |
Journal |
Letter |
LetterEdit |
LetterView |
LicenseViewer |
Linkshell |
Lobby |
LookingForGroup |
Macro |
Map |
Marker |
Market |
McGuffin |
Minigame |
MinionNotebook |
MiragePrismMiragePlate |
MiragePrismPrismBox |
MobHunt |
MonsterNote |
MountNotebook |
MountSpeed |
Orchestrion |
OrnamentNoteBook |
PartyMember |
PlayGuide |
PvpProfile |
QuestRedo |
RecipeNote |
RecommendList |
RelicNotebook |
RetainerList |
RetainerStatus |
RetainerTask |
ScenarioTree |
ScreenLog |
Search |
Shop |
Social |
SupportEdit |
SupportList |
SupportMain |
SupportView |
Teleport |
TeleportHousingFriend |
Trade |
TreasureHunt |
Tryon |
WebGuidance |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()